<?php
/**
 * Theme options
 *
 * Theme options for awanlangit theme
 *
 * @package awanlangit
 * @since awanlangit 0.0.1
 */

function optionsframework_option_name() {
   // This gets the theme name from the stylesheet
	$themename = get_option( 'stylesheet' );
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 *  
 */

function optionsframework_options() {
	
	// Background Defaults
	$awanlangit_background = array(
		'color'       => '#f5f5f5',
		'image'       => '',
		'repeat'      => 'repeat',
		'position'    => 'top center',
		'attachment'  =>'scroll' 
	);
		
	$awanlangit_select = array(
		'enable'  => __('Enable', 'awanlangit'), 
		'disable' => __('Disable', 'awanlangit') 
	);
		
	$options = array();
		
	$options[] = array( 
		'name' => __('General', 'awanlangit'),
		'type' => 'heading'
	);
	
	$options[] = array( 
		'name' => __('Custom Background', 'awanlangit'),
		'desc' => __('If you prefer to customize the background of your site, then you can do that by going to <a href="' . admin_url('themes.php?page=custom-background') . '">Custom background</a> page in administrator dashboard.', 'awanlangit'),
		'type' => 'info'
	);
															
	$options[] = array( 
		'name' => __('Custom Favicon', 'awanlangit'),
		'desc' => __('Upload a favicon for your website, or specify the image address of your online favicon. (http://example.com/favicon.png)', 'awanlangit'),
		'id'   => 'awanlangit_custom_favicon',
		'type' => 'upload'
	);
							
	$options[] = array( 
		'name' => __('Custom CSS', 'awanlangit'),
		'desc' => __('Quickly add some CSS to your theme by adding it to this block.', 'awanlangit'),
		'id'   => 'awanlangit_custom_css',
		'std'  => '',
		'type' => 'textarea'
	); 
	
	$options[] = array( 
		'name' => __('Footer Text', 'awanlangit'),
		'desc' => __('Your copyright notice (or others) that will displayed in the footer.', 'awanlangit'),
		'id'   => 'awanlangit_footer_text',
		'type' => 'textarea'
	);
						
	$options[] = array( 
		'name' => __('Analytic Code', 'awanlangit'),
		'desc' => __('Paste your Google Analytics (or other) tracking code here. It will be inserted before the closing body tag of your theme.', 'awanlangit'),
		'id'   => 'awanlangit_analytic_code',
		'type' => 'textarea'
	); 		 
												
	/* ============================== End General Settings ================================= */					

	$options[] = array( 
		'name' => __('Social', 'awanlangit'),
		'type' => 'heading'
	);
	
	$options[] = array( 
		'name' => __('Social settings', 'awanlangit'),
		'desc' => __('If you want to display the social button, first you should fill the form below, put only the <b>username</b>. After that, go to Appearance >> <b>Widgets</b> then drag the widget called >> <b>awanlangit social button</b>.', 'awanlangit'),
		'type' => 'info'
	);
		
	$options[] = array( 
		'name' => __('Twitter Username', 'awanlangit'),
		'desc' => __('http://twitter.com/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_twitter_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Facebook Username', 'awanlangit'),
		'desc' => __('http://www.facebook.com/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_fb_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Google Plus Username', 'awanlangit'),
		'desc' => __('https://plus.google.com/u/<b>123123412345123</b>', 'awanlangit'),
		'id'   => 'awanlangit_gplus_username',
		'type' => 'text'
	);
												
	$options[] = array( 
		'name' => __('Flickr Username', 'awanlangit'),
		'desc' => __('http://flickr.com/photos/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_flickr_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Linkedin Username', 'awanlangit'),
		'desc' => __('http://id.linkedin.com/in/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_linkedin_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Pinterest Username', 'awanlangit'),
		'desc' => __('http://pinterest.com/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_pinterest_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Dribbble Username', 'awanlangit'),
		'desc' => __('Your dribbble username', 'awanlangit'),
		'id'   => 'awanlangit_dribbble_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Github Username', 'awanlangit'),
		'desc' => __('https://github.com/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_github_username',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Vimeo Username', 'awanlangit'),
		'desc' => __('http://vimeo.com/<b>username</b>', 'awanlangit'),
		'id'   => 'awanlangit_vimeo_username',
		'type' => 'text'
	);
	
	$options[] = array( 
		'name' => __('Forrst Username', 'awanlangit'),
		'desc' => __('Your Forrst username', 'awanlangit'),
		'id'   => 'awanlangit_forrst_username',
		'type' => 'text'
	);
	
	$options[] = array( 
		'name' => __('Zerply Username', 'awanlangit'),
		'desc' => __('Your Zerply username', 'awanlangit'),
		'id'   => 'awanlangit_zerply_username',
		'type' => 'text'
	);
	
	/* ============================== End Social Settings ================================= */

	$options[] = array( 
		'name' => __('Meta Verification', 'awanlangit'),
		'type' => 'heading'
	);
						
	$options[] = array( 
		'name' => __('Webmaster Tools Setting', 'awanlangit'),
		'desc' => __('You can use the boxes below to verify with the different Webmaster Tools. Only enter the meta values/content. <br />ex: <i><meta name="google-site-verification" content="<b>1231234123</b>" /></i>', 'awanlangit'),
		'type' => 'info'
	);
						
	$options[] = array( 
		'name' => __('Google Webmaster Tools', 'awanlangit'),
		'desc' => __('<a href=\"http://www.google.com/webmasters/\">Google webmaster tools &raquo;</a>', 'awanlangit'),
		'id'   => 'awanlangit_meta_google',
		'std'  => '',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Bing Webmaster', 'awanlangit'),
		'desc' => __('<a href=\"http://www.bing.com/webmaster/\">Bing webmaster &raquo;</a>', 'awanlangit'),
		'id'   => 'awanlangit_meta_bing',
		'std'  => '',
		'type' => 'text'
	);
						
	$options[] = array( 
		'name' => __('Alexa', 'awanlangit'),
		'desc' => __('<a href=\"http://www.alexa.com/\">Alexa &raquo;</a>', 'awanlangit'),
		'id'   => 'awanlangit_meta_alexa',
		'std'  => '',
		'type' => 'text'
	);
						
	/* ============================== End Meta Verivication Settings ================================= */	
	
	$options[] = array( 
		'name' => __('About', 'awanlangit'),
		'type' => 'heading'
	);
	
	$options[] = array( 
		'name' => '',
		'desc' => __('<p>awanlangit is a simple and beautiful theme with a mix of blue, white and black elegant colors, this theme have a right column sidebar with lots of features such as custom background, custom favicon, ads code ready, eleven social media ready, translation ready, and compatible for wordpress 3.x.x or earlier.</p>
                      <p>More features going to added in next version.</p>
                      <p>If you have any problem or questions, do not hesitate to contact me. :)</p>
                      <p>Email : hendra9090(at)yahoo.co.id. | <a href=\'http://about.me/hendra_kurniawan\' target=\'_blank\'>about.me</a></p>
                      ', 'awanlangit'),
		'type' => 'info'
	);
	
	return $options;
}
