<?php
/**
 * Daoon Twitter Widgets
 *
 * This file contains twitter widget
 */
 
/* Widgets */
add_action( 'widgets_init', 'awanlangit_social_widget' );

/* Register our widget */
function awanlangit_social_widget() {
	register_widget( 'AwanLangit_Social' );
}

/* Daoon Twitter Widget */
class AwanLangit_Social extends WP_Widget {


	/*  Setting up the widget */
	function AwanLangit_Social() {
		$widget_ops  = array( 'classname' => 'awanlangit_social', 'description' => __('AwanLangit social button Widget', 'daoon') );
		$control_ops = array( 'id_base'   => 'awanlangit_social' );

		$this->WP_Widget( 'awanlangit_social', __('AwanLangit Social Button', 'daoon'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		global $shortname;

		extract( $args );

		$awanlangit_social_title = apply_filters('widget_title', $instance['awanlangit_social_title']);
		$social_twitter   = of_get_option('awanlangit_twitter_username');
		$social_fb        = of_get_option('awanlangit_fb_username');
		$social_gplus     = of_get_option('awanlangit_gplus_username');
		$social_flickr    = of_get_option('awanlangit_flickr_username');
		$social_linkedin  = of_get_option('awanlangit_linkedin_username');
		$social_pinterest = of_get_option('awanlangit_pinterest_username');
		$social_dribbble  = of_get_option('awanlangit_dribbble_username');
		$social_github    = of_get_option('awanlangit_github_username');
		$social_vimeo     = of_get_option('awanlangit_vimeo_username');
		$social_forrst    = of_get_option('awanlangit_forrst_username');
		$social_zerply    = of_get_option('awanlangit_zerply_username');
		
		echo $before_widget;
		echo $before_title . $awanlangit_social_title . $after_title; 
        
?>

        <ul id="social-button">
        
        	<?php
            
        	if($social_twitter != '')
            	echo '<li><a href="http://twitter.com/'            . esc_attr($social_twitter)   . '" id="button-twitter" title="Twitter" class="ir">Twitter</a></li>';
            if($social_fb != '') 
            	echo '<li><a href="http://www.facebook.com/'       . esc_attr($social_fb)        . '" id="button-fb" title="Facebook" class="ir">Facebook</a></li>';
            if($social_gplus != '')
            	echo '<li><a href="https://plus.google.com/u/'     . esc_attr($social_gplus)     . '" id="button-gplus" title="Google+" class="ir">Google+</a></li>';
            if($social_flickr != '') 
            	echo '<li><a href="http://www.flickr.com/photos/'  . esc_attr($social_flickr)    . '" id="button-flickr" title="Flickr" class="ir">Flickr</a></li>';
            if($social_linkedin != '')  
            	echo '<li><a href="http://id.linkedin.com/in/'     . esc_attr($social_linkedin)  . '" id="button-linkedin" title="Linked In" class="ir">Linked In</a></li>';
            if($social_pinterest != '')
            	echo '<li><a href="http://pinterest.com/'          . esc_attr($social_pinterest) . '" id="button-pinterest" title="Pinterest" class="ir">Pinterest</a></li>';
            if($social_dribbble != '')
            	echo '<li><a href="http://dribbble.com/player/'    . esc_attr($social_dribbble)  . '" id="button-dribbble" title="Dribbble" class="ir">Dribbble</a></li>';
            if($social_github != '')
            	echo '<li><a href="https://github.com/'            . esc_attr($social_github)    . '" id="button-github" title="Github" class="ir">Github</a></li>';
            if($social_vimeo != '')
            	echo '<li><a href="http://vimeo.com/'              . esc_attr($social_vimeo)     . '" id="button-vimeo" title="Vimeo" class="ir">Vimeo</a></li>';
            if($social_forrst != '')
            	echo '<li><a href="http://forrst.com/'             . esc_attr($social_forrst)    . '" id="button-forrst" title="Forrst" class="ir">Forrst</a></li>';
            if($social_zerply != '')
            	echo '<li><a href="http://zerply.com/'             . esc_attr($social_zerply)    . '" id="button-zerply" title="Zerply" class="ir">Zerply</a></li>'; 
                
            ?>
            
        </ul>

	<?php
    
	echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['awanlangit_social_title'] = strip_tags( $new_instance['awanlangit_social_title'] );

		return $instance;
	}

	function form( $instance ) {
		global $shortname;

		$instance = wp_parse_args( (array) $instance, array('awanlangit_social_title' => __('Social Media', 'awanlangit')) );
	?>
        <p>
            <label for ="<?php echo $this->get_field_id( 'awanlangit_social_title' ); ?>"><?php _e('Widget Title:', 'daoon'); ?></label>
            <input id  ="<?php echo $this->get_field_id( 'awanlangit_social_title' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'awanlangit_social_title' ); ?>" value="<?php echo $instance['awanlangit_social_title']; ?>" />
        </p>

<?php
	}
}
?>
